Skip to main content
Weavr API
Corporates

Register a corporate

POST/corporates

Create a corporate identity for a business customer. The information provided must be accurate and will be passed on for KYB verification with our partner.

Request

Available on
SandboxProduction

Header parameters

Request body

*
application/json
{}
objectobject · 11 fields

Responses

200OK

Success

Headers
Body
application/json
{}
CreatedCorporateCreatedCorporate · object · 14 fields
Response example
{  "id": {    "type": "CONSUMER",    "id": "123456789"  },  "profileId": "10001",  "tag": "customer-123",  "rootUser": {    "id": {      "type": "CONSUMER",      "id": "123456789"    },    "name": "Alex",    "surname": "Smith",    "email": "[email protected]",    "mobile": {      "countryCode": "+44",      "number": "7700900123"    },    "companyPosition": "DIRECTOR",    "active": true,    "emailVerified": true,    "mobileNumberVerified": true,    "dateOfBirth": {      "year": 1990,      "month": 1,      "day": 1    },    "tag": "customer-123",    "locale": "en-GB",    "brand": "Acme",    "passwordAlreadySet": false  },  "company": {    "name": "Acme Ltd",    "type": "SOLE_TRADER",    "registrationNumber": "12345678",    "registeredAddress": {      "addressLine1": "1 High Street",      "addressLine2": "Flat 2",      "city": "London",      "postCode": "W1A 1AA",      "state": "Greater London",      "country": "GB"    },    "businessAddress": {      "addressLine1": "1 High Street",      "addressLine2": "Flat 2",      "city": "London",      "postCode": "W1A 1AA",      "state": "Greater London",      "country": "GB"    },    "countryOfRegistration": "GB",    "incorporatedOn": {      "year": 1990,      "month": 1,      "day": 1    }  },  "industry": "ACCOUNTING",  "sourceOfFunds": "LABOUR_CONTRACT",  "sourceOfFundsOther": "Inheritance",  "acceptedTerms": true,  "ipAddress": "203.0.113.10",  "baseCurrency": "GBP",  "feeGroup": "DEFAULT",  "creationTimestamp": 1786118400000,  "retailQualifier": "RETAIL"}